- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Attributes

# BrushMask Struct Reference

Search for all occurrences

## Detailed Description

This class can be used for masking out areas from the brush effect.

Definition at line 21 of file brushmask.h.

`#include <brushmask.h>`

Inheritance diagram for BrushMask:
[legend]

List of all members.

## Public Member Functions
| BrushMask (void)
| Constructor.
| ~BrushMask (void)
| Destructir.
void | SetState (bool b)
| Sets the enabled state.
bool | State (void)
| Returns the state.
float | Factor (void)
| Sets the effect multiplier factor.
void | SetFactor (float f)
| Returns the effect multiplier factor.
virtual void | SetTransformation (const Matrix &mTransformation)
| Sets the transformation matrix.
Matrix | Transformation (void)
| Returns the transformation matrix.
virtual class Image * | Image (void)
| Returns the mask image.
void | SetImage (class Image *pImage)
| Changes the mask image.
void | Clear (void)
| Clear the mask.
void | SetFileName (const QString &sFileName)
| Sets the filename and attemts to load from the file to an Image returns true if the image was loaded, false if it was already loaded.
virtual void | CreateTextures (void)
| Creates Texture objects from the in-memory Image.
QString | GetFileName () const
## Public Attributes
| DECLARE_CLASS
## Protected Attributes
Matrix | m_mTransformation
float | m_fAspectRatio
class Image * | m_pImage
Texture * | m_pLuminanceTexture
abool | m_bState
afloatr | m_fFactor
astring | m_sFileName

## Constructor & Destructor Documentation

BrushMask | ( | void |  | ) |

Constructor.

~BrushMask | ( | void |  | ) |

Destructir.

## Member Function Documentation

void SetState | ( | bool | b | ) |

Search for all occurrences

Sets the enabled state.

bool State | ( | void |  | ) |

Search for all occurrences

Returns the state.

float Factor | ( | void |  | ) |

Search for all occurrences

Sets the effect multiplier factor.

void SetFactor | ( | float | f | ) |

Search for all occurrences

Returns the effect multiplier factor.

virtual void SetTransformation | ( | const Matrix & | mTransformation | ) | `[virtual]`

Search for all occurrences

Sets the transformation matrix.

Reimplemented in BrushStencil.

Matrix Transformation | ( | void |  | ) |

Search for all occurrences

Returns the transformation matrix.

virtual class Image* Image | ( | void |  | ) | `[virtual]`

Search for all occurrences

Returns the mask image.

void SetImage | ( | class Image * | pImage | ) |

Search for all occurrences

Changes the mask image.

void Clear | ( | void |  | ) |

Search for all occurrences

Clear the mask.

void SetFileName | ( | const QString & | sFileName | ) |

Search for all occurrences

Sets the filename and attemts to load from the file to an Image returns true if the image was loaded, false if it was already loaded.

(usually because the filename did not change)

virtual void CreateTextures | ( | void |  | ) | `[virtual]`

Search for all occurrences

Creates Texture objects from the in-memory Image.

Reimplemented in BrushStencil.

QString GetFileName | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 59 of file brushmask.h.

    { return m_sFileName; }

## Member Data Documentation

DECLARE_CLASS

Search for all occurrences

Reimplemented from TreeNode.

Reimplemented in BrushStamp, and BrushStencil.

Definition at line 24 of file brushmask.h.

Matrix m_mTransformation `[protected]`

Search for all occurrences

Definition at line 63 of file brushmask.h.

float m_fAspectRatio `[protected]`

Search for all occurrences

Definition at line 64 of file brushmask.h.

class Image* m_pImage `[protected]`

Search for all occurrences

Definition at line 66 of file brushmask.h.

Texture* m_pLuminanceTexture `[protected]`

Search for all occurrences

Definition at line 67 of file brushmask.h.

abool m_bState `[protected]`

Search for all occurrences

Definition at line 69 of file brushmask.h.

afloatr m_fFactor `[protected]`

Search for all occurrences

Definition at line 70 of file brushmask.h.

astring m_sFileName `[protected]`

Search for all occurrences

Definition at line 71 of file brushmask.h.

The documentation for this struct was generated from the following file:

- Mudbox/brushmask.h